Chunker (Apache OpenNLP :: API 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.chunker, interface: Chunker

Package opennlp.tools.chunker

# Interface Chunker

public interface Chunker
The interface for chunkers which provide chunk tags for a sequence of tokens.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `chunk(String[] toks, String[] tags)`
  Generates chunk tags for the given sequence returning the result in an array.
  `Span[]`
  `chunkAsSpans(String[] toks, String[] tags)`
  Generates tagged chunk `spans` for the given sequence returning the result in a `span` array.
  `Sequence[]`
  `topKSequences(String[] sentence, String[] tags)`
  Computes the top k chunk `sequences` for the specified sentence with the specified pos-tags.
  `Sequence[]`
  `topKSequences(String[] sentence, String[] tags, double minSequenceScore)`
  Computes the top k chunk `sequences` for the specified sentence with the specified pos-tags.

- ## Method Details

  - ### chunk

    String[] chunk(String[] toks, String[] tags)
    Generates chunk tags for the given sequence returning the result in an array.
    Parameters:
      `toks` - an array of the tokens or words of the sequence.
      `tags` - an array of the pos tags of the sequence.
    Returns:
      an array of chunk tags for each token in the sequence.

  - ### chunkAsSpans

    Span[] chunkAsSpans(String[] toks, String[] tags)
    Generates tagged chunk `spans` for the given sequence returning the result in a `span` array.
    Parameters:
      `toks` - an array of the tokens or words of the sequence.
      `tags` - an array of the pos tags of the sequence.
    Returns:
      an array of `spans` with chunk tags for each chunk in the sequence.

  - ### topKSequences

    Sequence[] topKSequences(String[] sentence, String[] tags)
    Computes the top k chunk `sequences` for the specified sentence with the specified pos-tags.
    Parameters:
      `sentence` - The tokens of the sentence.
      `tags` - The pos-tags for the specified sentence.
    Returns:
      the top k chunk `sequences` for the specified sentence.

  - ### topKSequences

    Sequence[] topKSequences(String[] sentence, String[] tags, double minSequenceScore)
    Computes the top k chunk `sequences` for the specified sentence with the specified pos-tags.
    Parameters:
      `sentence` - The tokens of the sentence.
      `tags` - The pos-tags for the specified sentence.
      `minSequenceScore` - A lower bound on the score of a returned sequence.
    Returns:
      the top k chunk `sequences` for the specified sentence.